package com.sikey.wa04.api.websocket;

import com.sikey.wa04.business.infrastructure.configuration.PushConfig;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class MessagingSubscribeServiceTests {

    @Resource
    private PushConfig pushConfig;


    public void subscribe() {
    }

    public void unsubscribe() {
    }

    @Test
    public void consumeMessageTest() {
        System.out.println("Huawei Config: " + pushConfig.getHuawei().toString());
        System.out.println("IOS Config: " + pushConfig.getIos().toString());
    }

}
